﻿@using Microsoft.Practices.Unity;
@using MyApp.Business.Services;
@using MyApp.Business.DomainObjects.Models;
@model MyApp.Business.DomainObjects.Models.SessionModel

@{
    IUnityContainer myContainer = new UnityContainer();

    Configuration config = new Configuration(null, null);
    myContainer.RegisterInstance<IConfiguration>(config);

    string csvroles = Model.RolesUserInAsPipeSeparated;

    string teamroles = config.RoleTeam;

    string dev_shelladmin_shelluser_roles = String.Format("{0}|{1}|{2}", config.RoleDev, config.RoleShellAdmin, config.RoleShellUser);

    string dev_shelladmin_roles = String.Format("{0}|{1}", config.RoleDev, config.RoleShellAdmin);

    string devroles = config.RoleDev;

    Boolean canuseraccessphase2menus = false;

    string developerlogouttext = string.Empty;

    if (Model.EventTeamUserIsIn != null)
    {
        canuseraccessphase2menus = (Model.EventTeamUserIsIn.Phase1StatusId == (int)BusinessEnum.PhaseStatus.Approved ? true : false);

        canuseraccessphase2menus = false; // TODO turned off pahse 2 menus for the time being

    }




    // TOFO : set the active state of teh current menu section

    // taken out the report menu option until we do have reports available
    // new { LinkText=@MyApp.Web.Resources.GeneralResource.ReportingMenu, ActionName="EventReports",ControllerName="Admin",IsPhase2 = false, Roles=dev_shelladmin_shelluser_roles  },

    var menus = new[]
                {
                   new { LinkText=@MyApp.Web.Resources.GeneralResource.teamhome, ActionName="Index",ControllerName="Team",IsPhase2 = false, Roles=teamroles  },
                    new { LinkText=@MyApp.Web.Resources.GeneralResource.Phase2Technical, ActionName="#",ControllerName="Team",IsPhase2 = true, Roles=teamroles  },
                     new { LinkText=@MyApp.Web.Resources.GeneralResource.Logistics, ActionName="#",ControllerName="Team",IsPhase2 = true, Roles=teamroles  },
                      new { LinkText=@MyApp.Web.Resources.GeneralResource.Offtrackawards, ActionName="#",ControllerName="Team",IsPhase2 = true, Roles=teamroles  },
                      new { LinkText=@MyApp.Web.Resources.GeneralResource.TeamSettings, ActionName="Teamsettings",ControllerName="Team",IsPhase2 = false, Roles=teamroles  },
                       new { LinkText=@MyApp.Web.Resources.GeneralResource.ManageEvents, ActionName="EventIndex",ControllerName="Admin",IsPhase2 = false, Roles=dev_shelladmin_shelluser_roles  },
                       new { LinkText=@MyApp.Web.Resources.GeneralResource.ManageInstitutions, ActionName="Index",ControllerName="Institution",IsPhase2 = false, Roles=dev_shelladmin_shelluser_roles  },
                       new { LinkText=@MyApp.Web.Resources.GeneralResource.SystemUsers, ActionName="SystemUsers",ControllerName="System",IsPhase2 = false, Roles=dev_shelladmin_roles  },   
                       new { LinkText=@MyApp.Web.Resources.GeneralResource.Logout + developerlogouttext, ActionName="LogOff",ControllerName="Account",IsPhase2 = false, Roles="ALL"  }        
                };      
}

<div class="navbar container shell">


    @*   <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </a>*@
    <div class="nav-collapse">
        <ul class="nav">
            @{
                        
                String[] roles = csvroles.Split('|');
                var links = from item in menus
                            where item.Roles.Split(new String[] { "|" }, StringSplitOptions.RemoveEmptyEntries)
                            .Any(x => roles.Contains(x) || x == "ALL")
                            select item;
                foreach (var link in links)
                {
                    if (link.IsPhase2 == false || canuseraccessphase2menus == true)
                    {
                <li>@Html.ActionLink(link.LinkText, link.ActionName, link.ControllerName)</li>
                    }
                }

                if (roles.Contains(devroles))
                {
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">Dev Tools
                                <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu">
                        <li>@Html.ActionLink("Perform a Post-Install Check", "Postinstallationcheck", "DevTools", new { openplatform = true }, null)</li>
                        <li>@Html.ActionLink("Perform a JavaScript Unit Test", "QUnit", "DevTools")</li>
                        <li>@Html.ActionLink("Write Out System Logs for Log4Net", "ViewLog", "DevTools")</li>
                        <li>@Html.ActionLink("Send a test email to a specified email address", "SendTestEmail", "DevTools")</li>
                        <li>@Html.ActionLink("Clear and Empty Application stored cache", "ClearApplicationCache", "DevTools")</li>
                        <li>@Html.ActionLink("Write out the full application log", "WriteOutApplicationLog", "DevTools")</li>
                        <li>@Html.ActionLink("Decrypt / Encrypt a particular string", "Decrypt", "DevTools")</li>
                        <li>@Html.ActionLink("Show Test Page - Dev -------", "RHTestPage", "RHTest")</li>
                        <li>@Html.ActionLink("Change the passphrase for a user", "ChangePassphrase", "DevTools")</li>
                        <li>@Html.ActionLink("Show All Assets for a specific event", "ShowAllAssets", "DevTools")</li>
                         <li>@Html.ActionLink("Write out all event templates", "WriteAllEventTemplates", "DevTools")</li>
                         <li>@Html.ActionLink("Throw an exception error", "ThrowError", "DevTools")</li>
                         <li>@Html.ActionLink("Phase2 could have been submitted but haven't", "ShowPhase2NoSubmits", "DevTools")</li>
                         <li>@Html.ActionLink("Upload A New Default Email banner", "UplaodDefaultEmailBanner", "DevTools")</li>
                         <li>@Html.ActionLink("Write out regions and their associated countries", "Showregionsandcountries", "DevTools")</li>
                        <li>@Html.ActionLink("Write our all unverified / unconfirmed account", "ShowUnverifiedAccounts", "Admin")</li>
                        <li>@Html.ActionLink("Verify and confirm an unverified account", "VerifyEmailAccouuntByUserForfileId", "DevTools")</li>
                        <li>@Html.ActionLink("Get login address for a Team", "GetLoginForteamname", "DevTools")</li>
                         <li>@Html.ActionLink("Show Teams with 'not listed' for institution", "ShowAllNotListedInsitutionsTeams", "DevTools")</li>
                         <li>@Html.ActionLink("Display Event Team Phase Status by EventId", "ShowEventTeamStatusByEventId", "DevTools")</li>
                        <li>@Html.ActionLink("Generate Example EventTeam Report", "GenerateEventTeamReport", "DevTools")</li>
                         <li>@Html.ActionLink("Show all users who have an account but no team or event team", "ShowAccountsButNoTeam", "DevTools")</li>
                         <li>@Html.ActionLink("Change the email/login address for a user", "Changeloginaddress", "DevTools")</li>
                        <li>@Html.ActionLink("Unassign an event team from an event", "UnassignEventTeam", "DevTools")</li>
                        <li>@Html.ActionLink("Assign a user to a new country", "AssignUserToNewCountry", "DevTools")</li>
                        <li>@Html.ActionLink("Email Tests sends 10 (emails not being received)", "EmailTests", "DevTools")</li>
                        
                        

                        @* <li>@Html.ActionLink("Manage Countries (not for client release)", "CountryIndex", "Institution")</li>*@
                    </ul>
                </li>
                        
                }
            }

        </ul>
    </div>
</div>
